var values = {
	size: 50,
	radius: 100,
	dichte: 10
};

if(!document.selectedItems.length) {
	Dialog.alert('Please select a path first.')
} else {
	var values = Dialog.prompt('graffmaster:', {
		size: { description: 'size'},
		radius: { description: 'radius'},
		dichte: { description: 'dichte'}
	}, values);

	var item = document.selectedItems.first;
	item.curvesToPoints(2, 10000);

	for (var i = 0, l = item.curves.length; i < l; i++) {
		var bezier = item.curves[i];
		var pt = bezier.getPoint(0);
		var n = bezier.getNormal(1);
		if (n.x != 0 || n.y != 0) {
			var radians = (Math.random() * 360).toRadians();
			var randomRadius = values.radius * Math.random();
			var center = pt + new Point(Math.sin(radians), Math.cos(radians)) * randomRadius;
			var newSize = values.size * Math.random() / 2;
			new Path.Circle(center, newSize);
		}
	}
	item.remove();
}